SpecificIpViewConstruct (CMDB Model API)
Keywords: com.collation.platform.model.gui.customviews.SpecificIpViewConstruct interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.gui.customviews
Interface SpecificIpViewConstruct

All Superinterfaces:
  ModelObject, ProductModelObject, java.io.Serializable, ViewConstruct

    public interface SpecificIpViewConstruct

extends ViewConstruct

Represents a custom views

Naming Rules:
  0="ipAddress"
Persistable:
  true
Display Name:
  ipAddress

Method Summary
`java.lang.String` | `getIpAddress()`
`boolean` | `hasIpAddress()`
`void` | `setIpAddress(java.lang.String ipAddress)`

Methods inherited from interface com.collation.platform.model.gui.customviews.ViewConstruct
`getLevel, getName, hasLevel, hasName, setLevel, setName`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getIpAddress

    java.lang.String getIpAddress()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIpAddress

    void setIpAddress(java.lang.String ipAddress)

### hasIpAddress

    boolean hasIpAddress()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD